%global repo nde-kwin

Name:           nde-kwin
Version:        0.0.1
Release:        15%{?dist}
Summary:        KWin libraries for Newstart Desktop Environment
License:        GPLv3+
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  kwin-devel
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  libepoxy-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  cmake(KDecoration2)
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
Requires:       kwin%{?_isa}

Source0:        %{name}-%{version}.tar.gz

%description
This package provides a kwin libraries that used by the NewStart Desktop Environment.

%prep
%setup -q -n %{repo}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%ldconfig_scriptlets

%files
%doc CHANGELOG.md
%license LICENSE
%{_libdir}/libkwinutils.so
%{_libdir}/libkwinutils.so.*
%{_includedir}/nde-kwin/kwinutils.h
%{_libdir}/qt5/plugins/kwin/effects/plugins/libeffects-lib.so
/etc/xdg/kwinrc
/usr/share/aurorae/themes/NdeLight
/usr/share/aurorae/themes/NdeLight/close.svg
/usr/share/aurorae/themes/NdeLight/NdeLightrc
/usr/share/aurorae/themes/NdeLight/NdeLight.desktop
/usr/share/aurorae/themes/NdeLight/restore.svg
/usr/share/aurorae/themes/NdeLight/decoration.svgz
/usr/share/aurorae/themes/NdeLight/alldesktops.svgz
/usr/share/aurorae/themes/NdeLight/maximize.svg
/usr/share/aurorae/themes/NdeLight/minimize.svg
/usr/share/kwin/tabbox/thumbnail_grid/contents/ui/main.qml
/usr/share/kwin/tabbox/thumbnail_grid/metadata.desktop


%changelog
* Mon Nov 08 2021 He leilei <he.leilei@gd-linux.com> - 0.0.1-15
- 社区版默认打开特效

* Wed Oct 20 2021 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-14
- 修改默认KWIN配置

* Tue Sep 14 2021 He leilei <he.leilei@zte.com.cn> - 0.0.1-13
- 窗口优化

* Thu Sep 2 2021 He leilei <he.leilei@zte.com.cn> - 0.0.1-12
- 窗口优化

* Wed Apr 28 2021 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-11
- 窗口默认居中

* Tue Apr 20 2021 Wu Jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-10
- 微调最小化按钮样式

* Fri Apr 08 2021 Wu Jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-9
- 窗口按钮改变大小，取消边距便于鼠标移至右上角可点击关闭

* Fri Apr 02 2021 Wu Jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-8
- 窗口圆角 

* Thu Mar 04 2021 Wu Jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-7
- 修改窗口按钮样式

* Tue Feb 9 2021 Zhang Wen <zhang.wen@gd-linux.com> - 0.0.1-6
- 窗口标题靠左显示

* Fri Oct 9 2020 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-5
- 添加tabbox插件

* Wed Sep 16 2020 wu jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-4
- 去掉窗口管理器右键菜单

* Wed Sep 9 2020 wu jiaheng <wu.jiaheng@gd-linux.com> - 0.0.1-3
- 添加窗口管理器主题

* Sun May 10 2020 lv kaiyi <lv.kaiyi@gd-linux.com> - 0.0.1-1
- rebuild (qt5)

